Subject: Re: gitweb bug: broken "next" and other links

From: Jakub Narebski <[email-masked]>
Date: Tue, 12 Feb 2008 12:48:48 +0100

Jakub Narebski wrote:
> Actually the error is there even without using 'pathinfo' feature,
> namely if you use pathinfo to provide project, for example:
>   http://www.example.com/w/project.git?a=shortlog
> then 'next' link on the page lacks project (instead of having
> dereferenced anonymous array reference, i.e. ARRAY(sth)), like below
>   http://www.example.com/w/?a=shortlog;pg=1

Errr... what I forgot to write here is that I have checked that
the patch send (the first version) fixes this bug, as checked
"by hand", i.e. by examining gitweb running as Apache CGI module.

> But I could not come up with automated test which would _fail_
> on this error. So please check, and reply if this patch helps.

-- 
Jakub Narebski
Poland